PHP5.3.x配置Zend Guard Loader代替Zend Optimizer

  • 时间:
  • 浏览:0

  从PHP5.3刚开始将会要支持ZendGuard加密的PHP代码,时要安装Zend Guard Loader,老的zend optimizer将不被支持。本文介绍在工作中为Linux安装Zend Guard Loader支持的过程。

  操作系统为CentOS5.5,PHP版本为5.3.8(CentOS5.5中的PHP默认版本较低,将会要升级到PHP最新版,能否使用remi的report源进行升级)。

  Windows 下面的 Zend Guard Loader 不支持php5.3.8 VC9 x86 Thread Safe而,php5.3.8  VC9 x86 Non Thread Safe 又不支持 apache。可是安装说说,就时要安放入iis将会和nginx搭配。

  1、从Zend.com下载最新的Linux操作系统系下的Zend Guard Loader:本文用的是x86-64位的,下载的文件为:ZendGuardLoader-php-5.3-linux-glibc23-x86_64.tar.gz

  2、上传至Linux服务器并解压缩,注意阅读生成目录下的README文件。全文如下(加上必要的注释)。在/etc/php.d/目录下创建文件zend.ini,内容如下:

zend_extension=/usr/lib64/php/modules/ZendGuardLoader.so

  注意路径一定要写上,刚开始没写路径,时不时加载不上ZendGuardLoader.so,也能否直接将上面的配置写入/etc/php.ini文件中,效果一样。

  3、重启httpd服务:service httpd restart。

  4.http://IP/test.php(内容为<?php phpinfo(); ?>),看后如下内容及证明安装成功了。

  注意:with Zend Guard Loader v3.3出现表示安装成功,将会那么则安装失败。

  5、其他的可选配置,能否参考下面的README文件。

Tags: php5.3.x   Zend   Guard Loader   php   php配置zend  
责任编辑:190